/**
 * Authors: http://d.hatena.ne.jp/ultraist/
 */
module pes.wstring;

bool findKeyword(wchar[] haystack, wchar[] needle)
{
	int i, n;
	
	if (haystack.length < needle.length) {
		return false;
	}
	
_FIND_LOOP:
	for (i = 0; i < haystack.length; ++i) {
		for (n = 0; n < needle.length; ++n) {
			if (i + n >= haystack.length) {
				break _FIND_LOOP;
			}
			if (haystack[i + n] != needle[n]) {
				break;
			}
		}
		if (n == needle.length) {
			return true;
		}
	}
	
	return false;
}

